# self-support

### 项目设置

```
npm install -g mirror-config-china --registry=http://registry.npm.taobao.org

npm install
```



### 开发环境编译和热重装

```bash
npm run dev:mp-weixin // 运行dev环境

```



### 生产环境编译和压缩

```bash
npm run build:mp-weixin // 运行生产环境
```


### 公共组件：

[图片上传参考](https://ext.dcloud.net.cn/plugin?id=822)



### 自定义配置

查看 [配置参考](https://cli.vuejs.org/config/)



### Easycom [组件模式](https://uniapp.dcloud.io/collocation/pages?id=easycom)

 只要组件安装在项目的components目录下，并符合components/组件名称/组件名称.vue目录结构。就可以不用引用、注册，直接在页面中使用


### Mock接口使用

1. 项目根目录下找到 *.env.js* 文件，查看参数：NODE_ENV值

2. 找到对应NODE_ENV值的 .env文件，如：.env.dev.js

3. 添加mock请求头，注释真实请求头，参考下面例子：

   ```js
   const UNI_APP = {
   	ucenterUrl: {
   		apiUrl: 'http://192.168.1.46', //php端域名请求头
   		xueUrl: 'http://192.168.1.46:8088', //学院
   		// banshou: 'https://m.banshou.com', //扳手app
   	},
   	systemUrl: {
   		// apiUrl: 'http://192.168.1.22', //java端域名请求头
   		apiUrl: 'http://apidoc.banshouhui.com:3000/mock/31', // mock端域名请求头
   	},
   	qn_base_url: 'https://qn-static.banshouhui.com/self-support/'
   }
   module.exports = UNI_APP;
   ```



